Debian Bug report logs - #669308
webkit: FTBFS[kfreebsd]: #error Unsupported Platform

version graph

Package: src:webkit; Maintainer for src:webkit is Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>;

Reported by: debian-bsd@lists.debian.org

Date: Wed, 18 Apr 2012 21:39:05 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version webkit/1.8.0-2

Fixed in version webkit/1.8.1-1

Done: Gustavo Noronha Silva <kov@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>:
Bug#669308; Package src:webkit. (Wed, 18 Apr 2012 21:39:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-bsd@lists.debian.org:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>. (Wed, 18 Apr 2012 21:39:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: webkit: FTBFS[kfreebsd]: #error Unsupported Platform
Date: Wed, 18 Apr 2012 23:19:00 +0200
Package: src:webkit
Version: 1.8.0-2
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-* buildds:

In file included from ../Source/ThirdParty/ANGLE/src/compiler/InitializeDll.cpp:11:0:
../Source/ThirdParty/ANGLE/src/compiler/osinclude.h:22:2: error: #error Unsupported platform.
In file included from ../Source/ThirdParty/ANGLE/src/compiler/InitializeDll.cpp:11:0:
../Source/ThirdParty/ANGLE/src/compiler/osinclude.h:54:1: error: 'OS_TLSIndex' does not name a type
../Source/ThirdParty/ANGLE/src/compiler/osinclude.h:55:21: error: 'OS_TLSIndex' was not declared in this scope
../Source/ThirdParty/ANGLE/src/compiler/osinclude.h:55:41: error: expected primary-expression before 'void'
../Source/ThirdParty/ANGLE/src/compiler/osinclude.h:55:55: error: expression list treated as compound expression in initializer [-fpermissive]
../Source/ThirdParty/ANGLE/src/compiler/osinclude.h:56:22: error: 'OS_TLSIndex' was not declared in this scope
../Source/ThirdParty/ANGLE/src/compiler/osinclude.h:58:29: error: 'OS_GetTLSValue' declared as an 'inline' variable
../Source/ThirdParty/ANGLE/src/compiler/osinclude.h:58:29: error: 'OS_TLSIndex' was not declared in this scope
../Source/ThirdParty/ANGLE/src/compiler/osinclude.h:59:1: error: expected ',' or ';' before '{' token
make[1]: *** [Source/ThirdParty/ANGLE/src/compiler/libWebCore_la-InitializeDll.lo] Error 1
make[1]: Leaving directory `/build/buildd-webkit_1.8.0-2-kfreebsd-amd64-I7tkmy/webkit-1.8.0/build-3.0'
make: *** [build-stamp] Error 2

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=webkit&arch=kfreebsd-amd64&ver=1.8.0-2&stamp=1334712838

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org, Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>:
Bug#669308; Package src:webkit. (Sat, 21 Apr 2012 02:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>. (Sat, 21 Apr 2012 02:45:04 GMT) Full text and rfc822 format available.

Message #10 received at 669308@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: 669308@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: Bug#669308: webkit: FTBFS[kfreebsd]: #error Unsupported Platform
Date: Sat, 21 Apr 2012 03:41:40 +0100
[Message part 1 (text/plain, inline)]
tags 669308 + patch
thanks

On 18/04/12 22:19, Christoph Egger wrote:
> In file included from ../Source/ThirdParty/ANGLE/src/compiler/InitializeDll.cpp:11:0:
> ../Source/ThirdParty/ANGLE/src/compiler/osinclude.h:22:2: error: #error Unsupported platform.

Looks like that header just needs to test for __FreeBSD_kernel__ as well
as __FreeBSD__, as in the attached diff.  This seems to allow compiling
that particular file on kfreebsd-i386, but I've not been able to test
building the entire package yet.

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org
[10_kfreebsd_support.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>:
Bug#669308; Package src:webkit. (Sat, 21 Apr 2012 08:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>. (Sat, 21 Apr 2012 08:54:33 GMT) Full text and rfc822 format available.

Message #15 received at 669308@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>
Cc: 669308@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: Bug#669308: webkit: FTBFS[kfreebsd]: #error Unsupported Platform
Date: Sat, 21 Apr 2012 10:51:14 +0200
El 21 d’abril de 2012 4:41, Steven Chamberlain <steven@pyro.eu.org> ha escrit:
> tags 669308 + patch
> thanks
>
> On 18/04/12 22:19, Christoph Egger wrote:
>> In file included from ../Source/ThirdParty/ANGLE/src/compiler/InitializeDll.cpp:11:0:
>> ../Source/ThirdParty/ANGLE/src/compiler/osinclude.h:22:2: error: #error Unsupported platform.
>
> Looks like that header just needs to test for __FreeBSD_kernel__ as well
> as __FreeBSD__, as in the attached diff.  This seems to allow compiling
> that particular file on kfreebsd-i386, but I've not been able to test
> building the entire package yet.

That particular test is checking for userland, so it might be better
to use __GLIBC__ instead (i.e. fix may work on more systems).

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>:
Bug#669308; Package src:webkit. (Wed, 25 Apr 2012 01:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>. (Wed, 25 Apr 2012 01:06:02 GMT) Full text and rfc822 format available.

Message #20 received at 669308@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Robert Millan <rmh@debian.org>
Cc: 669308@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: Bug#669308: webkit: FTBFS[kfreebsd]: #error Unsupported Platform
Date: Wed, 25 Apr 2012 02:03:19 +0100
[Message part 1 (text/plain, inline)]
Hi,

Attached is an updated patch.  I've done as Robert Millan suggested, and
hopefully this may even allow building now on Hurd too (though I haven't
tested that).

I've tested that this allows webkit to compile now on kfreebsd-i386
(though my VM doesn't have enough memory to finish linking!)

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org
[10_kfreebsd_support.patch (text/x-patch, attachment)]

Added tag(s) patch. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Fri, 27 Apr 2012 13:24:15 GMT) Full text and rfc822 format available.

Reply sent to Gustavo Noronha Silva <kov@debian.org>:
You have taken responsibility. (Fri, 27 Apr 2012 16:09:07 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Fri, 27 Apr 2012 16:09:07 GMT) Full text and rfc822 format available.

Message #27 received at 669308-close@bugs.debian.org (full text, mbox):

From: Gustavo Noronha Silva <kov@debian.org>
To: 669308-close@bugs.debian.org
Subject: Bug#669308: fixed in webkit 1.8.1-1
Date: Fri, 27 Apr 2012 16:05:09 +0000
Source: webkit
Source-Version: 1.8.1-1

We believe that the bug you reported is fixed in the latest version of
webkit, which is due to be installed in the Debian FTP archive:

gir1.2-javascriptcoregtk-1.0_1.8.1-1_amd64.deb
  to main/w/webkit/gir1.2-javascriptcoregtk-1.0_1.8.1-1_amd64.deb
gir1.2-javascriptcoregtk-3.0_1.8.1-1_amd64.deb
  to main/w/webkit/gir1.2-javascriptcoregtk-3.0_1.8.1-1_amd64.deb
gir1.2-webkit-1.0_1.8.1-1_amd64.deb
  to main/w/webkit/gir1.2-webkit-1.0_1.8.1-1_amd64.deb
gir1.2-webkit-3.0_1.8.1-1_amd64.deb
  to main/w/webkit/gir1.2-webkit-3.0_1.8.1-1_amd64.deb
libjavascriptcoregtk-1.0-0-dbg_1.8.1-1_amd64.deb
  to main/w/webkit/libjavascriptcoregtk-1.0-0-dbg_1.8.1-1_amd64.deb
libjavascriptcoregtk-1.0-0_1.8.1-1_amd64.deb
  to main/w/webkit/libjavascriptcoregtk-1.0-0_1.8.1-1_amd64.deb
libjavascriptcoregtk-1.0-dev_1.8.1-1_amd64.deb
  to main/w/webkit/libjavascriptcoregtk-1.0-dev_1.8.1-1_amd64.deb
libjavascriptcoregtk-3.0-0-dbg_1.8.1-1_amd64.deb
  to main/w/webkit/libjavascriptcoregtk-3.0-0-dbg_1.8.1-1_amd64.deb
libjavascriptcoregtk-3.0-0_1.8.1-1_amd64.deb
  to main/w/webkit/libjavascriptcoregtk-3.0-0_1.8.1-1_amd64.deb
libjavascriptcoregtk-3.0-dev_1.8.1-1_amd64.deb
  to main/w/webkit/libjavascriptcoregtk-3.0-dev_1.8.1-1_amd64.deb
libwebkit-dev_1.8.1-1_amd64.deb
  to main/w/webkit/libwebkit-dev_1.8.1-1_amd64.deb
libwebkitgtk-1.0-0-dbg_1.8.1-1_amd64.deb
  to main/w/webkit/libwebkitgtk-1.0-0-dbg_1.8.1-1_amd64.deb
libwebkitgtk-1.0-0_1.8.1-1_amd64.deb
  to main/w/webkit/libwebkitgtk-1.0-0_1.8.1-1_amd64.deb
libwebkitgtk-1.0-common_1.8.1-1_all.deb
  to main/w/webkit/libwebkitgtk-1.0-common_1.8.1-1_all.deb
libwebkitgtk-3.0-0-dbg_1.8.1-1_amd64.deb
  to main/w/webkit/libwebkitgtk-3.0-0-dbg_1.8.1-1_amd64.deb
libwebkitgtk-3.0-0_1.8.1-1_amd64.deb
  to main/w/webkit/libwebkitgtk-3.0-0_1.8.1-1_amd64.deb
libwebkitgtk-3.0-common_1.8.1-1_all.deb
  to main/w/webkit/libwebkitgtk-3.0-common_1.8.1-1_all.deb
libwebkitgtk-3.0-dev_1.8.1-1_amd64.deb
  to main/w/webkit/libwebkitgtk-3.0-dev_1.8.1-1_amd64.deb
libwebkitgtk-dev_1.8.1-1_amd64.deb
  to main/w/webkit/libwebkitgtk-dev_1.8.1-1_amd64.deb
webkit_1.8.1-1.debian.tar.gz
  to main/w/webkit/webkit_1.8.1-1.debian.tar.gz
webkit_1.8.1-1.dsc
  to main/w/webkit/webkit_1.8.1-1.dsc
webkit_1.8.1.orig.tar.xz
  to main/w/webkit/webkit_1.8.1.orig.tar.xz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 669308@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Gustavo Noronha Silva <kov@debian.org> (supplier of updated webkit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 26 Apr 2012 19:52:12 -0300
Source: webkit
Binary: libjavascriptcoregtk-1.0-0 libjavascriptcoregtk-1.0-dev libjavascriptcoregtk-1.0-0-dbg gir1.2-javascriptcoregtk-1.0 libwebkitgtk-1.0-0 libwebkit-dev libwebkitgtk-dev libwebkitgtk-1.0-common libwebkitgtk-1.0-0-dbg gir1.2-webkit-1.0 libjavascriptcoregtk-3.0-0 libjavascriptcoregtk-3.0-dev libjavascriptcoregtk-3.0-0-dbg gir1.2-javascriptcoregtk-3.0 libwebkitgtk-3.0-0 libwebkitgtk-3.0-dev libwebkitgtk-3.0-common libwebkitgtk-3.0-0-dbg gir1.2-webkit-3.0
Architecture: source all amd64
Version: 1.8.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
Changed-By: Gustavo Noronha Silva <kov@debian.org>
Description: 
 gir1.2-javascriptcoregtk-1.0 - GObject introspection data for the GTK+-based JavaScriptCore libr
 gir1.2-javascriptcoregtk-3.0 - GObject introspection data for the GTK+-based JavaScriptCore libr
 gir1.2-webkit-1.0 - GObject introspection data for the WebKit library
 gir1.2-webkit-3.0 - GObject introspection data for the WebKit library
 libjavascriptcoregtk-1.0-0 - Javascript engine library for GTK+
 libjavascriptcoregtk-1.0-0-dbg - Javascript engine library for GTK+
 libjavascriptcoregtk-1.0-dev - Javascript engine library for GTK+
 libjavascriptcoregtk-3.0-0 - Javascript engine library for GTK+
 libjavascriptcoregtk-3.0-0-dbg - Javascript engine library for GTK+
 libjavascriptcoregtk-3.0-dev - Javascript engine library for GTK+
 libwebkit-dev - Transitional package for the development files of WebKitGTK+
 libwebkitgtk-1.0-0 - Web content engine library for GTK+
 libwebkitgtk-1.0-0-dbg - Web content engine library for GTK+ - Debugging symbols
 libwebkitgtk-1.0-common - Web content engine library for GTK+ - data files
 libwebkitgtk-3.0-0 - Web content engine library for GTK+
 libwebkitgtk-3.0-0-dbg - Web content engine library for GTK+ - Debugging symbols
 libwebkitgtk-3.0-common - Web content engine library for GTK+ - data files
 libwebkitgtk-3.0-dev - Web content engine library for GTK+ - Development files
 libwebkitgtk-dev - Web content engine library for GTK+ - Development files
Closes: 669308
Changes: 
 webkit (1.8.1-1) unstable; urgency=low
 .
   * New upstream release
   * debian/patches/10_kfreebsd_support.patch:
   - Patch by Steven Chamberlain <steven@pyro.eu.org> to fix the
     build for kFreeBSD (Closes: #669308)
Checksums-Sha1: 
 24cbe6a445156e7b144d3f6c040127a9eb284d82 3386 webkit_1.8.1-1.dsc
 d26543baace03c31aa3de82bc24f06f14c6b3052 7949924 webkit_1.8.1.orig.tar.xz
 e3428fa104dbce576296864f3122634d996cd382 51859 webkit_1.8.1-1.debian.tar.gz
 78e64becfffc13c089f9e621165145c7c2c34fc7 1021174 libwebkitgtk-1.0-common_1.8.1-1_all.deb
 c35eb20528e41016af2a6a7fd1f5b4238cabba1c 1020788 libwebkitgtk-3.0-common_1.8.1-1_all.deb
 3fb368e7bd046fc6cd5c9dd3445b5594c6223ded 1358416 libjavascriptcoregtk-1.0-0_1.8.1-1_amd64.deb
 fbbfb8c9d077d2f9fc57f506f4c4849bc8834a6c 38124 libjavascriptcoregtk-1.0-dev_1.8.1-1_amd64.deb
 a60ee3dd15a61cf44f262257e55cbeed4068a78d 33559528 libjavascriptcoregtk-1.0-0-dbg_1.8.1-1_amd64.deb
 b0d372893d0a6f3d71745614ef39bfd06d3f3259 21348 gir1.2-javascriptcoregtk-1.0_1.8.1-1_amd64.deb
 ee62a33ed601b15fe0a0a759bccfe8027d76f149 7494448 libwebkitgtk-1.0-0_1.8.1-1_amd64.deb
 1942e88b13d453c73d1bd5b3e929fde9a31c0cec 20982 libwebkit-dev_1.8.1-1_amd64.deb
 d2de2db2771676c2bac986ef7066a013a81e4ad1 301756 libwebkitgtk-dev_1.8.1-1_amd64.deb
 c4a560f8fdffbc87ab38060e4b8c7de3bf123cca 477173586 libwebkitgtk-1.0-0-dbg_1.8.1-1_amd64.deb
 f3f30f555aedd299beb0a3931fe9c9cb1fd88eb6 76500 gir1.2-webkit-1.0_1.8.1-1_amd64.deb
 a4e7cc487614b72c1a44f4d1839b9a32a21da975 1358402 libjavascriptcoregtk-3.0-0_1.8.1-1_amd64.deb
 3118f9b82e8c2a7ad37e25e21a26760e8edca2ff 38116 libjavascriptcoregtk-3.0-dev_1.8.1-1_amd64.deb
 ff43c9893735c0328c0175dc90ba2838bc185d8e 33557544 libjavascriptcoregtk-3.0-0-dbg_1.8.1-1_amd64.deb
 2b02555d810b9b9cfb07f4275746ff200e0f1f35 21348 gir1.2-javascriptcoregtk-3.0_1.8.1-1_amd64.deb
 b7bfb1f5ddd78aee5e7fdda84f54b7a2a5f158aa 7489388 libwebkitgtk-3.0-0_1.8.1-1_amd64.deb
 2a32e06998261c79f8b20b5df0629e3fb71fd318 301556 libwebkitgtk-3.0-dev_1.8.1-1_amd64.deb
 5b69633b45aac88c100f1b9d58ab7f5065a531eb 476702556 libwebkitgtk-3.0-0-dbg_1.8.1-1_amd64.deb
 e4d047020625ee8dc869b1e3fc1708ebb6b53ae8 76488 gir1.2-webkit-3.0_1.8.1-1_amd64.deb
Checksums-Sha256: 
 7b2efb750baeaa4f35301582b9e1fa0e6b07647ab0fce470e2951b129fdabf69 3386 webkit_1.8.1-1.dsc
 9a126a76b40ca61adb1f1626e1567f976740af2332948cc5189489dbd01e3b28 7949924 webkit_1.8.1.orig.tar.xz
 aab981494c929cf6f70888fc9baed4aa68412ae9c5ac9a7f8ba67b08461aa49d 51859 webkit_1.8.1-1.debian.tar.gz
 cc2eccd4d4276ac508ef615e2289bec651853dc3a66481ea2a72da326d869d67 1021174 libwebkitgtk-1.0-common_1.8.1-1_all.deb
 bdf2dcef237da4bbc931398059615c31c030d29bc7d68418c0d4fda85845acc6 1020788 libwebkitgtk-3.0-common_1.8.1-1_all.deb
 1540bf1cbb0bb24657c96d1ddbb20982a1377528afb2585e0b9ed75d8f68efa8 1358416 libjavascriptcoregtk-1.0-0_1.8.1-1_amd64.deb
 d9e8a50dca72a4ab90f6ebdbf817d7ba4d144257c9342d3eb569583487513d23 38124 libjavascriptcoregtk-1.0-dev_1.8.1-1_amd64.deb
 08ae8c3ec9682bdc48c67f4bd426a4dfe54dedc84fb25581d5592f0161e42d84 33559528 libjavascriptcoregtk-1.0-0-dbg_1.8.1-1_amd64.deb
 7232ca70e80cba197b320145f31e9a10e5b0ceaaf655c8499ddb1584b8ff12b8 21348 gir1.2-javascriptcoregtk-1.0_1.8.1-1_amd64.deb
 f6319af4a5dd206c6f56a4a53fd86abd3f450c93f31650e2e517bd2a9e145ad6 7494448 libwebkitgtk-1.0-0_1.8.1-1_amd64.deb
 67244a09196775ae4c69c63675a5267d86bd6d6faf403bbfc116b318b4da2a32 20982 libwebkit-dev_1.8.1-1_amd64.deb
 f4c7ca0f033580eb0e20952e95ef4b5c151c85c15134994f885ae9146b33855c 301756 libwebkitgtk-dev_1.8.1-1_amd64.deb
 37bd70c3fa31b821ad18c60421f58997b68131fc51ebd59563ba58eb0fdc5282 477173586 libwebkitgtk-1.0-0-dbg_1.8.1-1_amd64.deb
 18f5f758246484d68907d99a5ee76910cb96577cef1a984cd429dcddc92cdd90 76500 gir1.2-webkit-1.0_1.8.1-1_amd64.deb
 80c59d3b73c33822e6bdd6cf1c5e45fbdab81c47cf45f5373993de9bb26d04d2 1358402 libjavascriptcoregtk-3.0-0_1.8.1-1_amd64.deb
 f53793bc09e362885b0753449c6f770c994b1d84dae4c64b310152ba32232365 38116 libjavascriptcoregtk-3.0-dev_1.8.1-1_amd64.deb
 0972758346e0564695f157cb6146ced7d2d74990b54ec79b9f6b69797916c18d 33557544 libjavascriptcoregtk-3.0-0-dbg_1.8.1-1_amd64.deb
 160b4e4891e943c1891fa8fd874005877d4af6662f918f78bce24534af4d1aec 21348 gir1.2-javascriptcoregtk-3.0_1.8.1-1_amd64.deb
 e847f3a3bfbb58ab69b9bf076112d742d7256119e22785e2849ab03b81b22b80 7489388 libwebkitgtk-3.0-0_1.8.1-1_amd64.deb
 d9cef71df27a4a0e8cceac328905a8a84d53e515ad58dda21bc63ff1ae4ab7a4 301556 libwebkitgtk-3.0-dev_1.8.1-1_amd64.deb
 d9208e2c7f8220885f58ad563a13eda42dc1b1b8972bf721a1875d8e7e8206d4 476702556 libwebkitgtk-3.0-0-dbg_1.8.1-1_amd64.deb
 7b79347e95a83fbb4337e14ac84d52187e6ca6947731e28d39895c65071a5487 76488 gir1.2-webkit-3.0_1.8.1-1_amd64.deb
Files: 
 172eedf791f5caea26744e5a01f2add2 3386 web optional webkit_1.8.1-1.dsc
 f2f01b1fdc7262a2eede81ebed0970b2 7949924 web optional webkit_1.8.1.orig.tar.xz
 2ef4692216492790636c60dcfbcbe5c8 51859 web optional webkit_1.8.1-1.debian.tar.gz
 65fd37182c70203d32140b5c27ec0bf7 1021174 libs optional libwebkitgtk-1.0-common_1.8.1-1_all.deb
 689f66549ce4d6e535872ed1da525349 1020788 libs optional libwebkitgtk-3.0-common_1.8.1-1_all.deb
 6624786233f8f3a1cde56208c448ba0d 1358416 libs optional libjavascriptcoregtk-1.0-0_1.8.1-1_amd64.deb
 32dbaf99d855abf5b8ab41c6a9456c91 38124 libdevel extra libjavascriptcoregtk-1.0-dev_1.8.1-1_amd64.deb
 36262286e0d3351f5e8cf88c60751656 33559528 debug extra libjavascriptcoregtk-1.0-0-dbg_1.8.1-1_amd64.deb
 541994fa26a6736fed1a86fce1c85655 21348 introspection optional gir1.2-javascriptcoregtk-1.0_1.8.1-1_amd64.deb
 d19d8e2ae3add688da236af8905160b1 7494448 libs optional libwebkitgtk-1.0-0_1.8.1-1_amd64.deb
 4aa0d966d6e6ef4c97b03542340cb156 20982 oldlibs extra libwebkit-dev_1.8.1-1_amd64.deb
 712e1bde8c043120a1cccb0096602a5e 301756 libdevel extra libwebkitgtk-dev_1.8.1-1_amd64.deb
 ebf0a1e2185dea94a2cdfd8f56465b5c 477173586 debug extra libwebkitgtk-1.0-0-dbg_1.8.1-1_amd64.deb
 747c0a98ba6960186e19933e58546470 76500 introspection optional gir1.2-webkit-1.0_1.8.1-1_amd64.deb
 dbe88837dc22af6ecb96f7a921d1838e 1358402 libs optional libjavascriptcoregtk-3.0-0_1.8.1-1_amd64.deb
 36b677ca7e46bbe8bc0ef3541bb5bec5 38116 libdevel extra libjavascriptcoregtk-3.0-dev_1.8.1-1_amd64.deb
 6ab4cb97501af54c58623788b588eae0 33557544 debug extra libjavascriptcoregtk-3.0-0-dbg_1.8.1-1_amd64.deb
 b9b10101de2ec30ab09901115fe75dbf 21348 introspection optional gir1.2-javascriptcoregtk-3.0_1.8.1-1_amd64.deb
 2622aeed5c1a1b604d5845d1b14d4743 7489388 libs optional libwebkitgtk-3.0-0_1.8.1-1_amd64.deb
 7798adcc1621ed143a8d72b7e145257a 301556 libdevel extra libwebkitgtk-3.0-dev_1.8.1-1_amd64.deb
 530059d60ec444f559eb6de8bcdc063b 476702556 debug extra libwebkitgtk-3.0-0-dbg_1.8.1-1_amd64.deb
 fdfed4a8c3ebd578b4de7cbd76818216 76488 introspection optional gir1.2-webkit-3.0_1.8.1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQEcBAEBCAAGBQJPmrO8AAoJENIA6zCg+12mkS8IAIdEiEAjXZ1TByLcv/m2Z1tW
YDxfwde+GtVOLO1agAPys5oAIm2Y4tVEv7B8zGpv6J0fvgyfbLWYH4duZfl5XgHB
yRBQoNi1nWlEecQqRaknAX1tFFLbAviGt/3rxfZ1XVGLJwHNqctAy+DCxmLkGsjM
X8EcTSwPQWj5q+SCkzArEzJlIzXeX8qSWGTYoc3SW0nbb8fgyrfDVe46Rw87cUf2
sQCSkxoep87gNPRH0vG/9r5odtRDhWGS5pp4nhF/QEN30Iw/4zYM4dnZgSk5h99J
ZyasP3j5ksQ8WAZ3gWlPGdv2v/Y6OtsYm1BRm59oJ9zPlltx/tMhQjaFXh/nuAA=
=noWZ
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>:
Bug#669308; Package src:webkit. (Fri, 27 Apr 2012 21:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to svante.signell@telia.com:
Extra info received and forwarded to list. Copy sent to Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>. (Fri, 27 Apr 2012 21:42:05 GMT) Full text and rfc822 format available.

Message #32 received at 669308@bugs.debian.org (full text, mbox):

From: Svante Signell <svante.signell@telia.com>
To: debian-hurd@lists.debian.org
Cc: 669059@bugs.debian.org, 669308@bugs.debian.org, Steven Chamberlain <steven@pyro.eu.org>
Subject: Re: Bug#669059: webkit-1.8.0-2: FTBFS on hurd-*
Date: Fri, 27 Apr 2012 23:33:10 +0200
On Fri, 2012-04-27 at 19:06 +0200, Samuel Thibault wrote:
> Hello,
> 
> There was no comment on the latest proposed patch. The first part of it
> should be actually fixed by the patch for 669308, but what about the
> second part, attached to thix mail?

This is incredible: The Debian maintainer uploads a fixed version for
kFreeBSD (and partially for GNU/Hurd by adding __GLIBC__) and meanwhile
totally neglecting the additional small changes needed for a successful
build for GNU/Hurd in this bug report and in bug #664810. I wonder which
agendas they have, only architectures already in testing, and ignoring
everything else? 

From the build log:
webkit (1.8.1-1) unstable; urgency=low
 .
   * New upstream release
   * debian/patches/10_kfreebsd_support.patch:
   - Patch by Steven Chamberlain <steven@pyro.eu.org> to fix the
     build for kFreeBSD (Closes: #669308)





Information forwarded to debian-bugs-dist@lists.debian.org, Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>:
Bug#669308; Package src:webkit. (Fri, 27 Apr 2012 22:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>. (Fri, 27 Apr 2012 22:18:03 GMT) Full text and rfc822 format available.

Message #37 received at 669308@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: svante.signell@telia.com
Cc: debian-hurd@lists.debian.org, 669308@bugs.debian.org
Subject: Re: Bug#669059: webkit-1.8.0-2: FTBFS on hurd-*
Date: Fri, 27 Apr 2012 23:14:30 +0100
[I took #669059 out of CC to not clutter the open bug]

On 27/04/12 22:33, Svante Signell wrote:
> This is incredible: The Debian maintainer uploads a fixed version for
> kFreeBSD (and partially for GNU/Hurd by adding __GLIBC__) and meanwhile
> totally neglecting the additional small changes needed for a successful
> build for GNU/Hurd in this bug report and in bug #664810. I wonder which
> agendas they have, only architectures already in testing, and ignoring
> everything else? 

Hi,

It is a shame, but I doubt the maintainer is ignoring GNU/Hurd on purpose.

#669308 simply had higher severity in the BTS, and held up testing
migration for everyone, because GNU/kFreeBSD is fortunate enough to be
classed as a 'release architecture' already.

The patch for #669059 then would have conflicted with mine and I'm sorry
for that.  And the maintainer maybe didn't have time to merge/include it
yet for this upload.

The situation is awkward for GNU/Hurd because fixing things like webkit
(with lots of dependencies waiting on it) is important towards becoming
a release architecture too.

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>:
Bug#669308; Package src:webkit. (Fri, 27 Apr 2012 22:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to svante.signell@telia.com:
Extra info received and forwarded to list. Copy sent to Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>. (Fri, 27 Apr 2012 22:27:02 GMT) Full text and rfc822 format available.

Message #42 received at 669308@bugs.debian.org (full text, mbox):

From: Svante Signell <svante.signell@telia.com>
To: Steven Chamberlain <steven@pyro.eu.org>
Cc: debian-hurd@lists.debian.org, 669308@bugs.debian.org, Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
Subject: Re: Bug#669059: webkit-1.8.0-2: FTBFS on hurd-*
Date: Sat, 28 Apr 2012 00:26:06 +0200
Adding: Debian Webkit Maintainers to this mail.
On Fri, 2012-04-27 at 23:14 +0100, Steven Chamberlain wrote:
> [I took #669059 out of CC to not clutter the open bug]
> 
> On 27/04/12 22:33, Svante Signell wrote:
> > This is incredible: The Debian maintainer uploads a fixed version for
> > kFreeBSD (and partially for GNU/Hurd by adding __GLIBC__) and meanwhile
> > totally neglecting the additional small changes needed for a successful
> > build for GNU/Hurd in this bug report and in bug #664810. I wonder which
> > agendas they have, only architectures already in testing, and ignoring
> > everything else? 
> 
> Hi,
> 
> It is a shame, but I doubt the maintainer is ignoring GNU/Hurd on purpose.
> 
> #669308 simply had higher severity in the BTS, and held up testing
> migration for everyone, because GNU/kFreeBSD is fortunate enough to be
> classed as a 'release architecture' already.
> 
> The patch for #669059 then would have conflicted with mine and I'm sorry
> for that.  And the maintainer maybe didn't have time to merge/include it
> yet for this upload.
> 
> The situation is awkward for GNU/Hurd because fixing things like webkit
> (with lots of dependencies waiting on it) is important towards becoming
> a release architecture too.
> 
> Regards,
> -- 
> Steven Chamberlain
> steven@pyro.eu.org

Steven, thanks for you reply. GNU/Hurd is currently struggling to
getting into testing too, so when things like this happens, they are
_very_ unfortunate.







Information forwarded to debian-bugs-dist@lists.debian.org, Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>:
Bug#669308; Package src:webkit. (Tue, 22 May 2012 14:57:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gustavo Noronha Silva <kov@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>. (Tue, 22 May 2012 14:57:16 GMT) Full text and rfc822 format available.

Message #47 received at 669308@bugs.debian.org (full text, mbox):

From: Gustavo Noronha Silva <kov@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>, 669308@bugs.debian.org
Cc: svante.signell@telia.com, debian-hurd@lists.debian.org
Subject: Re: Bug#669308: Bug#669059: webkit-1.8.0-2: FTBFS on hurd-*
Date: Tue, 22 May 2012 11:54:40 -0300
[Message part 1 (text/plain, inline)]
On Sex, 2012-04-27 at 23:14 +0100, Steven Chamberlain wrote:
> > This is incredible: The Debian maintainer uploads a fixed version for
> > kFreeBSD (and partially for GNU/Hurd by adding __GLIBC__) and meanwhile
> > totally neglecting the additional small changes needed for a successful
> > build for GNU/Hurd in this bug report and in bug #664810. I wonder which
> > agendas they have, only architectures already in testing, and ignoring
> > everything else? 
[...]
> It is a shame, but I doubt the maintainer is ignoring GNU/Hurd on purpose.

That's right. I am sorry for not fixing Hurd as quick as would be ideal,
building webkit takes a long time, and I have limited time to work on
Debian, so I do indeed tend to do what I must before doing anything
else. It will be taken care of in the next couple days, though, and I'll
be sure to upstream the patch as well, like I did for previous ones =)

Cheers,

-- 
Gustavo Noronha Silva <kov@debian.org>
Debian
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>:
Bug#669308; Package src:webkit. (Tue, 22 May 2012 15:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>. (Tue, 22 May 2012 15:42:02 GMT) Full text and rfc822 format available.

Message #52 received at 669308@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Gustavo Noronha Silva <kov@debian.org>
Cc: Steven Chamberlain <steven@pyro.eu.org>, 669308@bugs.debian.org, svante.signell@telia.com, debian-hurd@lists.debian.org
Subject: Re: Bug#669308: Bug#669059: webkit-1.8.0-2: FTBFS on hurd-*
Date: Tue, 22 May 2012 17:38:10 +0200
Gustavo Noronha Silva, le Tue 22 May 2012 11:54:40 -0300, a écrit :
> It will be taken care of in the next couple days, though, and I'll
> be sure to upstream the patch as well, like I did for previous ones =)

Great, thanks!

Samuel




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 20 Jun 2012 07:35:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:14:20 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.